/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service3WithCallback, which has a callback
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service3WithCallback.h"
#include "Service3CallbackProxy.h"
#include <string>

class Service3Impl1 : public Service3WithCallback {
public:
	// @Property
	std::string serviceName;

	Service3CallbackProxyPtr callback1;

	Service3Impl1();
	virtual ~Service3Impl1();

	virtual std::string operation1(const std::string input);

};
