/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "ServiceOneWayImpl.h"
#include "oasis/sca/RefCountingPointer.h"
#include "oasis/sca/ComponentContext.h"
#include "commonj/sdo/sdo.h"
using namespace oasis::sca;

// Construction/Destruction

ServiceOneWayImpl::ServiceOneWayImpl()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");

	return;
}


ServiceOneWayImpl::~ServiceOneWayImpl()
{
	return;
}

// Implementation

void ServiceOneWayImpl::operation1(const std::string input) {
	return;
}
